commit:     aa7976c61b99b598e40d223bb995ce04b6b124b1
Author:     Diego Elio Pettenò <flameeyes <AT> gentoo <DOT> org>
AuthorDate: Sat May 27 12:34:28 2017 +0000
Commit:     Diego Elio Pettenò <flameeyes <AT> gentoo <DOT> org>
CommitDate: Sat May 27 12:34:28 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aa7976c6

New app-crypt/ccid version.

Package-Manager: Portage-2.3.5, Repoman-2.3.1

 app-crypt/ccid/Manifest           |  1 +
 app-crypt/ccid/ccid-1.4.27.ebuild | 63 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/app-crypt/ccid/Manifest b/app-crypt/ccid/Manifest
index 66607da59d2..eba9dc20362 100644
--- a/app-crypt/ccid/Manifest
+++ b/app-crypt/ccid/Manifest
@@ -1 +1,2 @@
 DIST ccid-1.4.26.tar.bz2 628038 SHA256 
3267bf708ab780c02f01f6241b7c7277cb892d30fd1179a9926a8cc0ca40be2f SHA512 
4a2e5e9412f2aa4870e14114e54da96fd8b3418ea6d3a236b83e19d6349adb20a94ef7f48628c108f8459f008c10b0606bbf4d797ae4be9183e1acde032c618c
 WHIRLPOOL 
7118e57ca9a394de3b37166bb2c4f4d398fdf744caa0803ef9f1470db7020d999f795ca816a5a70db2b59b64db7225df2dd9366fd329ca34d52b5e4611fd5d21
+DIST ccid-1.4.27.tar.bz2 632817 SHA256 
a660e269606986cb94840ad5ba802ffb0cd23dd12b98f69a35035e0deb9dd137 SHA512 
14fb5d9878ed36de912d860d8537758170781f225957a99d5fed447dcfba0cba3133f78d2cc4bc7db60d3527399f70e4a7d1d1f8348fb50d1bcfc75820a23522
 WHIRLPOOL 
062ebe1be40ad09865db642c763cf32cc471b860df66072fe5e98c4b3b5a5efced7b2aeba1001a635231adaf9569e3e4fc2746ad9ebaa921b62302a0ebcf2273

diff --git a/app-crypt/ccid/ccid-1.4.27.ebuild 
b/app-crypt/ccid/ccid-1.4.27.ebuild
new file mode 100644
index 00000000000..5ff08306450
--- /dev/null
+++ b/app-crypt/ccid/ccid-1.4.27.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+STUPID_NUM="4218"
+
+inherit toolchain-funcs udev
+
+DESCRIPTION="CCID free software driver"
+HOMEPAGE="http://pcsclite.alioth.debian.org/ccid.html";
+SRC_URI="http://alioth.debian.org/frs/download.php/file/${STUPID_NUM}/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="twinserial kobil-midentity +usb"
+
+RDEPEND=">=sys-apps/pcsc-lite-1.8.3
+       usb? ( virtual/libusb:1 )"
+DEPEND="${RDEPEND}
+       kernel_linux? ( virtual/pkgconfig )"
+
+DOCS=( README AUTHORS )
+
+src_configure() {
+       econf \
+               LEX=: \
+               $(use_enable twinserial) \
+               $(use_enable usb libusb)
+}
+
+src_compile() {
+       default
+       use kobil-midentity && emake -C contrib/Kobil_mIDentity_switch
+}
+
+src_install() {
+       default
+
+       if use kobil-midentity; then
+               dosbin contrib/Kobil_mIDentity_switch/Kobil_mIDentity_switch
+               doman contrib/Kobil_mIDentity_switch/Kobil_mIDentity_switch.8
+       fi
+
+       if use kernel_linux; then
+               # note: for eudev support, rules probably will always need to be
+               # installed to /usr
+
+               # ccid >=1.4.11 version changed the rules drastically in a minor
+               # release to no longer use the pcscd group. Using the old ones 
in
+               # the mean time.
+               udev_newrules "${FILESDIR}"/92_pcscd_ccid-2.rules 
92-pcsc-ccid.rules
+
+               # disable Kobil_mIDentity_switch udev rule with 
USE=-kobil-midentity
+               if ! use kobil-midentity; then
+                       sed \
+                               -e '/Kobil_mIDentity_switch/s/^/#/' \
+                               -i 
"${D}/$(get_udevdir)"/rules.d/92-pcsc-ccid.rules || die
+               fi
+
+       fi
+}

Reply via email to